GaugeModels
getRoofHailDamage
Returns the roof hail damage risk score for the provided parameters.
Returns the roof hail damage risk score for the provided parameters in JSON format. The coordinates will be returned as part of the response, which will contain the calculated risk factor and a text description.
Path Parameters
latitude*number
The roof latitude
Format
doublelongitude*number
The roof longitude
Format
doubleQuery Parameters
material*string
The roof material, can be one of [asphalt_shingles_ar, asphalt_shingles_basic, wood_shakes, concrete_clay_tiles, metal, built_up, slates]
Value in
"ASPHALT_SHINGLES_AR" | "ASPHALT_SHINGLES_BASIC" | "WOOD_SHAKES" | "CONCRETE_CLAY_TILES" | "METAL" | "BUILT_UP" | "SLATES"squareFootage*number
Square footage of the roof
Format
doublebuildingYear*integer
The year the building was built
Format
int32roofYear?integer
The year the current roof was installed
Format
int32roofIsComplex*boolean
Is the roof complex?
impactResistanceClass?string
The Roof Impact Resistance (IR) class, can be one of [1, 2, 3, 4]
Value in
"1,2,3,4"userKey*string
The user key
Response Body
application/json
curl -X GET "https://gauge.atheniumanalytics.com/v3/model/roof/hail/coordinates/0.1/0.1?material=ASPHALT_SHINGLES_AR&squareFootage=0.1&buildingYear=0&roofIsComplex=true&userKey=string"{
"code": 0,
"status": "string",
"lat": 0.1,
"lon": 0.1,
"riskScoreOverAll": 0.1,
"riskScoreOverAllDescription": "string",
"riskClaimFrequency": 0.1,
"riskClaimFrequencyDescription": "string",
"riskRoofCoverSeverity": 0.1,
"riskRoofCoverSeverityDescription": "string",
"riskScoreCombinedRoofSeverity": 0.1,
"roofReplacementCostMinRegion": 0.1,
"roofReplacementCostMaxRegion": 0.1,
"roofReplacementCostMedianRegion": 0.1
}Empty
Empty
Empty